Bug 1099882 - can't setup second host when using iscsi
Summary: can't setup second host when using iscsi
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-hosted-engine-setup
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 3.5.0
Assignee: Sandro Bonazzola
QA Contact: Artyom
URL:
Whiteboard: integration
Depends On: 1150419
Blocks: 1036731 1123006 1123213 1153278
TreeView+ depends on / blocked
 
Reported: 2014-05-21 12:02 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:56 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.5.0-beta1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:38:09 UTC
oVirt Team: ---


Attachments (Terms of Use)
vdsm log (149.79 KB, text/plain)
2014-05-21 12:02 UTC, Jiri Moskovcak
no flags Details
setup log (148.28 KB, text/plain)
2014-05-21 12:03 UTC, Jiri Moskovcak
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27991 master MERGED packaging: setup: iSCSI: fix Host ID validation Never
oVirt gerrit 27994 master MERGED storage: iscsi: ensure service directory exists Never

Description Jiri Moskovcak 2014-05-21 12:02:23 UTC
Created attachment 897947 [details]
vdsm log

Description of problem:
while testing the hosted engine on iscsi feature I ran into a problem when setting the second host. The data domain /rhev/data-center/mnt is not properly populated. Please see the attached logs.

Comment 1 Jiri Moskovcak 2014-05-21 12:03:55 UTC
Created attachment 897948 [details]
setup log

Comment 2 Federico Simoncelli 2014-05-21 14:02:55 UTC
This bug is missing the "expected results" section. What link were you expecting there and why? The ones of the storage domain (images, etc) or the special HE ones?

Those links are created on connectStoragePool so if you think you really need them you have to investigate how to provide them when you're not connected to a pool.

If on the other hand this is the setup process then you should be connected to the pool.

Anyway after the initial setup you need to run a VM without being connected to a pool, which means that you don't rely on the /rhev/data-center/mnt links but rather on the /var/run/vdsm/.. ones.

Comment 3 Sandro Bonazzola 2014-05-21 14:41:08 UTC
Jiri, are you going to use /var/run/vdsm? otherwise I'll push a patch for starting the pool when performing the host id validation.

Comment 4 Jiri Moskovcak 2014-05-21 16:14:03 UTC
(In reply to Sandro Bonazzola from comment #3)
> Jiri, are you going to use /var/run/vdsm? otherwise I'll push a patch for
> starting the pool when performing the host id validation.

The rest of the code also relies on the links, so to not break it further just connect the pool.

Comment 5 Sandro Bonazzola 2014-05-22 09:52:54 UTC
(In reply to Jiri Moskovcak from comment #4)
> (In reply to Sandro Bonazzola from comment #3)
> > Jiri, are you going to use /var/run/vdsm? otherwise I'll push a patch for
> > starting the pool when performing the host id validation.
> 
> The rest of the code also relies on the links, so to not break it further
> just connect the pool.

Pushed patches for connecting the pool and ensure service directory exists before creating HE links.

Comment 6 Sandro Bonazzola 2014-10-17 12:38:09 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.